Bug 124642 - nmh can't send mail (via "send"), gives error [BHST] premature end-of-file
Summary: nmh can't send mail (via "send"), gives error [BHST] premature end-of-file
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: nmh (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-28 03:49 UTC by John Heidemann
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 09:36:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Heidemann 2004-05-28 03:49:14 UTC
Description of problem:
attempting to send mail via send
or (in my case) via mh-e
gives the error

post: problem initializing server; [BHST] premature end-of-file on pipe
send: message not delivered to anyone


Version-Release number of selected component (if applicable):
nmh-1.0.4-20

How reproducible:
1. use comp to compose a message, 
2. type "s" at the "what now" prompt
3. should see BHST error

Steps to Reproduce:
1. see "how reproducable"

  
Actual results:
message not sent (left as draft)

Expected results:
message should be sent

Additional info:
work-around/fix:

add this line to /etc/nmh/mts.conf:

sendmail: /usr/lib/sendmail.sendmail


Note You need to log in before you can comment on or make changes to this bug.